Skip to main content
GET
/
api
/
v1
/
external
/
companies
/
{companyId}
/
policies
List Basic Policies
curl --request GET \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/policies \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440001",
      "companyId": "550e8400-e29b-41d4-a716-446655440000",
      "fieldModelV1Data": {
        "policyNumber": "POL-2026-0001",
        "policyType": "generalLiability",
        "policyTimeZone": "America/New_York",
        "policyStartDate": {
          "year": 2026,
          "month": 1,
          "day": 1,
          "timezone": "America/New_York"
        },
        "policyEndDate": {
          "year": 2027,
          "month": 1,
          "day": 1,
          "timezone": "America/New_York"
        },
        "primaryInsured": "550e8400-e29b-41d4-a716-446655440010",
        "exposures": [
          {
            "id": "550e8400-e29b-41d4-a716-446655440010",
            "exposureName": "Acme Corporation",
            "exposureType": "business"
          }
        ]
      },
      "createdAt": "2026-01-15T10:30:00.000Z",
      "updatedAt": null,
      "createdBy": "google-oauth2|123456789",
      "updatedBy": null
    }
  ],
  "totalCount": 1
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Query Parameters

page
integer
default:1

Page number (1-based, default 1, page size 50)

Required range: x >= 1
sortBy
enum<string>

Field to sort by (defaults to createdAt)

Available options:
createdAt,
updatedAt,
number
sortDirection
enum<string>

Sort direction (defaults to desc)

Available options:
asc,
desc
id

Filter by one or more policy IDs

policyNumberFilterText
string

Case-insensitive substring match against policyNumber only. No other fields are searched. Prefer filters for matches against other fields.

filters
object[]

Structured per-field filters against FMV1 field data or system columns. See the FieldModelV1ListFilter schema for available filter shapes, field types, and operators. Multiple filters are combined with AND semantics.

Structured per-field filter against FMV1 field data or system columns. Each filter names a fieldReferenceId, a fieldType tag, an operator, and a value (plus valueTo for between and systemColumn for systemUser / systemDate). The set of operators and the value shape depend on fieldType. Pass one or more filters in the filters query parameter — multiple filters are combined with AND semantics.

Response

Paginated list of basic policies

items
object[]
required
totalCount
integer
required

Total number of matching policies